Skip to main content
`Ctrl`+`K`

# skbio.embedding.embed_vec_to_dataframe

skbio.embedding.embed_vec_to_dataframe(vectors, validate=True)

  Convert a list of SequenceVector objects to a pandas DataFrame.

  Parameters:
    vectors iterable of EmbeddingVector objects

      An iterable of EmbeddingVector objects, or objects that subclass EmbeddingVector.

    validate bool, optional

      If `True`, validate that all vectors have the same length and are valid types.

  Returns:
    pd.DataFrame

      Data frame containing the embedding vectors as rows (index) and object IDs as columns.

  See also

  `pd.DataFrame`